This endpoint provides results in the HTML format.
Note: before setting a task to this endpoint you need to receive the asin value. You can receive this value by making a separate request to the Amazon Products endpoint.
POST
Pricing
Your account will be charged only for setting a task.
The cost can be calculated on the Pricing page.
All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 10000 API calls per minute, each Live API call can contain only one task.
Below you will find a detailed description of the fields you can use for setting a task.
Description of the fields for setting a task:
Field name
Type
Description
asin
string
unique product identifier on Amazon required field you can get this value making a separate request to the Amazon Products endpoint note that there is no full list of possible values as the asin values is a dynamic value assigned by Amazon example: B085RFFC9Q learn more about the identifier in this help center guide
location_name
string
full name of the location required field if you don't specifylocation_code or location_coordinate if you use this field, you don't need to specify location_code or location_coordinate you can receive the list of available Amazon locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations example: London,England,United Kingdom
location_code
integer
location code required field if you don't specifylocation_name or location_coordinate if you use this field, you don't need to specify location_name or location_coordinate you can receive the list of available Amazon locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations example: 2840
location_coordinate
string
GPS coordinates of a location required field if you don't specifylocation_name or location_code if you use this field, you don't need to specify location_name or location_code location_coordinate parameter should be specified in the "latitude,longitude,radius" format the maximum number of decimal digits for "latitude" and "longitude": 7 the minimum value for "radius": 199.9 example: 53.476225,-2.243572,200
language_name
string
full name of the language required field if you don't specifylanguage_code if you use this field, you don't need to specify language_code you can receive the list of available Amazon languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages example: English (United States)
language_code
string
language code required field if you don't specifylanguage_name if you use this field, you don't need to specify language_name you can receive the list of available Amazon languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages example: en_US
se_domain
string
search engine domain optional field we choose the relevant search engine domain automatically according to the location and language you specify however, you can set a custom search engine domain in this field example: amazon.co.uk, amazon.com.au, amazon.de, etc.
tag
string
user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.
Description of the fields in the results array:
Field name
Type
Description
version
string
the current version of the API
status_code
integer
general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions
status_message
string
general informational message you can find the full list of general informational messages here
time
string
execution time, seconds
cost
float
total tasks cost, USD
tasks_count
integer
the number of tasks in the tasks array
tasks_error
integer
the number of tasks in the tasks array returned with an error
tasks
array
array of tasks
id
string
task identifier unique task identifier in our system in the UUID format
status_code
integer
status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here
status_message
string
informational message of the task you can find the full list of general informational messages here
time
string
execution time, seconds
cost
float
cost of the task, USD
result_count
integer
number of elements in the result array
path
array
URL path
data
object
contains the same parameters that you specified in the POST request
result
array
array of results
asin
string
ASIN received in a POST array
type
string
search engine type in a POST array
se_domain
string
search engine domain in a POST array
location_code
integer
location code in a POST array
language_code
string
language code in a POST array
datetime
string
date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00
items_count
integer
the number of results returned in the items array
items
array
elements of search results found on Amazon
page
integer
serial number of the returned HTML page
date
string
date and time when the HTML page was scanned in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00
html
string
HTML page
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/merchant/amazon/sellers/live/html"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
"location_name" => "United States",
"language_name" => "English (United States)",
"asin" => "B0756FCPPN"
);
try {
// POST /v3/merchant/amazon/sellers/live/html
// in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
$result = $client->post('/v3/merchant/amazon/sellers/live/html', $post_array);
print_r($result);
// do something with post result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
location_name="United States",
language_name="English (United States)",
asin="B0756FCPPN"
)
# POST /v3/merchant/amazon/sellers/live/html
# in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/merchant/amazon/sellers/live/html", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task merchant_amazon_asin_live_html()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
//DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
var postData = new List<object>();
// You can set only one task at a time
postData.Add(new
{
language_code = "en",
location_code = 2840,
asin = "B0756FCPPN"
});
// POST /v3/merchant/amazon/sellers/live/html
// in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
var taskPostResponse = await httpClient.PostAsync("/v3/merchant/amazon/sellers/live/html", new StringContent(JsonConvert.SerializeObject(postData)));
var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}
The above command returns JSON structured like this: